Submit a disbursement batch for approval
Submits a disbursement batch for first-level approval. Batch must be in pending status.
Submits a disbursement batch for first-level approval. Batch must be in pending status.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/recon/v1/disbursement-batches/497f6eca-6276-4993-bfeb-53cbbbba6f08/submit"{
"id": "01900000-0000-7000-8000-000000000090",
"batch_code": "DISB-20260603-001",
"status": "submitted",
"total_amount": 5000000,
"item_count": 5,
"created_at": "2026-06-03T08:00:00Z",
"updated_at": "2026-06-03T09:00:00Z"
}{
"error": "unauthorized",
"message": "Bearer token is missing or invalid",
"request_id": "01900000-0000-7000-8000-000000000001"
}{
"error": "not_found",
"message": "The requested resource was not found",
"request_id": "01900000-0000-7000-8000-000000000001"
}Was this page helpful?